# LogDeleteSelector
#
# Release 0.01 (Oct 20, 2008)
#
# This software is provided as-is. You may use it for commercial or
# personal use. If you distribute it, please keep this notice intact.
#
# Copyright (c) 2004-2008 Yujiro Araki

package MT::Plugin::LogDeleteSelector;

use strict;
use warnings;
use MT;
use base qw( MT::Plugin );

our $VERSION = '0.01';

my $plugin = __PACKAGE__->new ({
    id   => 'LogDeleteSelector',
    name => 'LogDeleteSelector',
    description => '<MT_TRANS phrase="Delete select log.">',
    doc_link => 'http://www.koikikukan.com/archives/2008/10/20-005555.php',
    author_name => 'Yujiro Araki',
    author_link => 'http://www.koikikukan.com/',
    l10n_class => 'LogDeleteSelector::L10N',
    version => $VERSION,
});
MT->add_plugin($plugin);

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        callbacks => {
             'MT::App::CMS::template_source.view_log' => \&add_bottun_and_js,
             'MT::App::CMS::template_source.log_table' => \&add_column,
        },
   });
}

sub add_column {
    my ($cb, $app, $template) = @_;

    my $old = <<HERE;
<mtapp:listing empty_message="<__trans phrase="No log records could be found." escape="html">">
    <mt:if name="__first__">
    <thead>
        <tr>
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
<mtapp:listing empty_message="<__trans phrase="No log records could be found." escape="html">">
    <mt:if name="__first__">
    <thead>
        <tr>
            <th class="cb"><input type="checkbox" name="id-head" value="all" class="select" /></th>
HERE

    $$template =~ s/$old/$new/;

    $old = <<HERE;
        <tr class="<mt:if name="log_detail">log-detail-parent </mt:if><mt:if name="__odd__">odd<mt:else>even</mt:if>"<mt:if name="log_detail"> id="log-detail-parent-<\$mt:var name="id"\$>"</mt:if>>
HERE
    $old = quotemeta($old);

    $new = <<HERE;
        <tr class="<mt:if name="log_detail">log-detail-parent </mt:if><mt:if name="__odd__">odd<mt:else>even</mt:if>"<mt:if name="log_detail"> id="log-detail-parent-<\$mt:var name="id"\$>"</mt:if>>
            <td class="cb">
                <input type="checkbox" name="id" value="<mt:var name="id" escape="html">" class="select" />
            </td>
HERE

    $$template =~ s/$old/$new/;

}

sub add_bottun_and_js {
    my ($cb, $app, $template) = @_;

    my $old = <<HERE;
<mt:setvarblock name="action_buttons">
    <mt:unless name="search_replace_template">
    <a href="javascript:void(0)"
        onclick="doResetLog(this.form); return false;"
        ><__trans phrase="Clear Activity Log"></a>
    </mt:unless>
HERE
    $old = quotemeta($old);

    my $new = <<HERE;
<mt:setvarblock name="action_buttons">
    <mt:unless name="search_replace_template">
        <a href="javascript:void(0)"
            onclick="doRemoveItems(getByID('<\$mt:var name="object_type"\$>-listing-form'), '<__trans phrase="Log Message" escape="js">', '<__trans phrase="Log Message" escape="js">'); return false;"
            accesskey="x"
            title="<__trans phrase="Delete selected comments (x)">"
            ><__trans phrase="Delete"></a>
    <a href="javascript:void(0)"
        onclick="doResetLog(this.form); return false;"
        ><__trans phrase="Clear Activity Log"></a>
    </mt:unless>
HERE

    $$template =~ s/$old/$new/;


    $old = <<HERE;
    function init() {
    	setFilterCol(<mt:if name="filter">'<mt:var name="filter" escape="js">'<mt:else>'none'</mt:if>);<mt:if name="filter">
    	setFilterVal('<mt:var name="filter_val" escape="js">');
    </mt:if>
    }
HERE
    $old = quotemeta($old);

    $new = <<HERE;
var tableSelect;
function init()
{
	// setup
	tableSelect = new TC.TableSelect( "log-listing-table" );
	tableSelect.rowSelect = true;
	setFilterCol('1');
	setFilterVal('');

}
HERE

    $$template =~ s/$old/$new/;

}

1;
